layer description

Hello,

I have a question if BRICSCAD team is considering making a layer description section in layer manager as in ACAD 2009.

The command for layer description is _layer "D" description "layername"

That would be very cool to have. Working with other disciplines and consultants it is vital to send thenm our layerlist. And then a description could be nice to have.

Also when checking on a layer to know what it is all about since the new standard is very hard to understand.

Best regards

Comments

  • A column "Description" is already availale in the Layers section of the Drawing Explorer. At least it is in V11.1.14.

  • Yes, I know.

    My lisp puts the description from the text-file.

    Its:

    Layerdescription

    Layername

    Linetype

    Colour

     

    Then, lisp reads the text-file and make the layer with the layer command.

    The layer command as mentioned above misses the "D" option for descritption.

    (command "-layer" "new" (cadr a) "C" (caddr a) (cadr a) "Lt" (cadddr a) (cadr a) "s" (cadr a) "D" (car a) (cadr a) "" "")

    the "D" make the description from the txt-file.

    Is that option suppose to come in further development?

  • Hi Artur!

    In case nothing else helps:

    You could change the lisp in that you first finish the layer-command w/o the description and afterwards add these two lines:

    (vl-load-com)

    (vla-put-description (vlax-ename->vla-object (tblobjname "layer" (cadr a))) (car a))

    Kind regards,

    Stephan

  • fantastic...

    I had another lisp that just had that line... thank you Sir

  • Allthough it could be good to make that "D" in layer command.

    That is vital to create layers in other lisps that are not text/database files dependant.

    There are lot of situations like in "cond" statements to make that Description avaliabla in layer comamnd.

    Just for future ...

    And by the way, our company evaluated BRICsCAD and we-re going for it.

    Great product.

  • Dear Artur,

    I agree with you that it would be good to have the "D" option in the command-line-based layer command. And I am almost sure that Bricsys will soon implement it.

    However for a lisp routine it makes no difference since you can always use the code from above. I really dont know what you mean with: "That is vital to create layers in other lisps that are not text/database files dependant. There are lot of situations like in "cond" statements to make that Description avaliabla in layer comamnd." I don't know of any situation where you could not use the code from above in a lisp file and where you needed to use (command "-layer" ... "d" ...).

    Kind regards,

    Stephan

  • popupskalatext is a value from a dos_popup menu. If I choose to make text scale, 1:20 those conditions are then made.

     

    (cond ((= popupskalatext 0)    (setq new_layern "A-------T-B" new_txtsizen 3.2 new_layerdescn "Vanlig Text Skala 1:1"))
                ((= popupskalatext 1)    (setq new_layern "A-------T-Y" new_txtsizen 6.4 new_layerdescn "Vanlig Text Skala 1:2"))
                ((= popupskalatext 2)    (setq new_layern "A-------T-C" new_txtsizen 16.0 new_layerdescn "Vanlig Text Skala 1:5"))
                ((= popupskalatext 3)   (setq new_layern "A-------T-D" new_txtsizen 32.0 new_layerdescn "Vanlig Text Skala 1:10"))
                ((= popupskalatext 4)   (setq new_layern "A-------T-G" new_txtsizen 64.0 new_layerdescn "Vanlig Text Skala 1:20"))
                ((= popupskalatext 5)   (setq new_layern "A-------T-H" new_txtsizen 160.0 new_layerdescn "Vanlig Text Skala 1:50"))
                ((= popupskalatext 6)  (setq new_layern "A-------T-I" new_txtsizen 320.0 new_layerdescn "Vanlig Text Skala 1:100"))
                ((= popupskalatext 7)  (setq new_layern "A-------T-J" new_txtsizen 640.0 new_layerdescn "Vanlig Text Skala 1:200"))
                ((= popupskalatext 8)  (setq new_layern "A-------T-K" new_txtsizen 1600.0 new_layerdesc "Vanlig Text Skala 1:500"))
         ((= popupskalatext 9) (setq new_layern "A-------T-X" new_txtsizen 3200.0 new_layerdescn "Vanlig Text Skala 1:1000"))
         ((= popupskalatext 10) (setq new_layern "A-------T-Z" new_txtsizen 6400.0 new_layerdescn "Vanlig Text Skala 1:2000"))
         )
         
    (if (null (tblsearch "LAYER" new_layern))
        (command "_LAYER" "_N" new_layern "_C" 1 new_layern "D" new_layerdescn new_layern "")

  • The "workaround":

    (vl-load-com)

    (cond ....)

    (if (null (tblsearch "LAYER" new_layern))
      (progn
        (command "_LAYER" "_N" new_layern "_C" 1 new_layern "")
        (vla-put-description (vlax-ename->vla-object (tblobjname "layer" new_layern)) new_layerdescn)
      )
    )

    Where is the problem??

This discussion has been closed.